<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
	<component>
		<name>org.richfaces.ListShuttle</name>
		<family>org.richfaces.ListShuttle</family>
		<classname>org.richfaces.component.html.HtmlListShuttle</classname>
		<superclass>org.richfaces.component.UIListShuttle</superclass>
		<description>
			<![CDATA[
    ]]>
		</description>
		<renderer generate="true" override="true">
			<name>org.richfaces.ListShuttleRenderer</name>
			<template>org/richfaces/htmlListShuttle.jspx</template>
		</renderer>
		<tag>
			<name>listShuttle</name>
			<classname>org.richfaces.taglib.ListShuttleTag</classname>
			<superclass>
				org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
			</superclass>
		</tag>
		
		&ui_component_attributes;
       	&html_style_attributes;
       	&ui_data_attributes;
	    <property>
	        <name>columnClasses</name>
	        <classname>java.lang.String</classname>
	        <description>
	               Comma-separated list of CSS classes for columns
	        </description>
	    </property>
        <property hidden="true" exist="true">
        	<name>value</name>
        </property>
        <property hidden="true" el="false">
        	<name>submittedValue</name>
        </property>
        <property hidden="true" el="false">
        	<name>localValueSet</name>
        </property>
		<property hidden="true" el="false">
			<name>valid</name>
		</property>
	    <property elonly="true">
	        <name>validator</name>
	        <classname>javax.faces.el.MethodBinding</classname>
	        <description>
	            MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component
	        </description>
	        <methodargs>java.lang.Object.class</methodargs>
	    </property>
		<property hidden="true">
			<name>value</name>
		</property>

		<property elonly="true">
			<name>sourceSelection</name>
		            <classname>java.util.Set</classname>
		            <description>Manages selection in a source list from the server side</description>
		</property>

		<property elonly="true">
			<name>targetSelection</name>
		            <classname>java.util.Set</classname>
		            <description>Manages selection in a target list from the server side</description>
		</property>

		<property>
            <name>switchByClick</name>
            <classname>boolean</classname>
            <description>If &quot;true&quot;, dragging between lists realized by click </description>
            <defaultvalue>false</defaultvalue>
        </property>
        <property>
            <name>sourceListWidth</name>
            <classname>java.lang.String</classname>
            <description>
                Defines width of a source list
            </description>
            <defaultvalue>"140"</defaultvalue>
        </property>
        <property>
            <name>targetListWidth</name>
            <classname>java.lang.String</classname>
            <description>
                Defines width of a target list
            </description>
            <defaultvalue>"140"</defaultvalue>
        </property>
        <property>
            <name>listsHeight</name>
            <classname>java.lang.String</classname>
            <description>
                Defines height of the list
            </description>
            <defaultvalue>"140"</defaultvalue>
        </property>
        <property>
            <name>orderControlsVisible</name>
            <classname>boolean</classname>
            <description>
                If &quot;false&quot;, &apos;Up&apos; and &apos;Down&apos; controls aren&apos;t displayed. 
            </description>
            <defaultvalue>true</defaultvalue>
        </property>
        <property>
            <name>fastOrderControlsVisible</name>
            <classname>boolean</classname>
            <description>
                If &quot;false&quot;, &apos;Top&apos; and &apos;Bottom&apos; controls aren&apos;t displayed. 
            </description>
            <defaultvalue>true</defaultvalue>
        </property>

		<property>
            <name>moveControlsVisible</name>
            <classname>boolean</classname>
            <description>
                If &quot;false&quot;, &apos;Copy&apos; and &apos;Remove&apos; controls aren&apos;t displayed
            </description>
            <defaultvalue>true</defaultvalue>
        </property>
        <property>
            <name>fastMoveControlsVisible</name>
            <classname>boolean</classname>
            <description>
                If &quot;false&quot;, &apos;Copy All&apos; and &apos;Remove All&apos; controls aren&apos;t displayed
            </description>
            <defaultvalue>true</defaultvalue>
        </property>
	    <property>
	        <name>onlistchanged</name>
	        <classname>java.lang.String</classname>
	        <description>A JavaScript event handler called on a list change operation</description>
	    </property>
		<property>
			<name>onorderchanged</name>
			<classname>java.lang.String</classname>
		    <description>HTML:   script   expression; called after ordering action</description>
		</property>

         <property>
            <name>showButtonLabels</name>
            <classname>boolean</classname>
             <description>
                 Shows a label for a button
            </description>
            <defaultvalue><![CDATA[true]]></defaultvalue>
        </property>

        <property>
        	<name>topControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for a &quot;Top&quot; control
            </description>
        </property>
        <property>
        	<name>upControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for an &quot;Up&quot; control
            </description>
        </property>
        <property>
        	<name>downControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for a down control
            </description>
        </property>
        <property>
        	<name>bottomControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for a bottom control
            </description>
        </property>

        <property>
        	<name>copyAllControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for a copyAll control
            </description>
        </property>
        <property>
        	<name>copyControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for a copy control
            </description>
        </property>
        <property>
        	<name>removeControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for a remove control
            </description>
        </property>
        <property>
        	<name>removeAllControlLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines a label for a removeAll control
            </description>
        </property>
        
        <property>
        	<name>sourceCaptionLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines source list caption representation text 
            </description>
        </property>
        <property>
        	<name>targetCaptionLabel</name>
        	<classname>java.lang.String</classname>
            <description>
                Defines target list caption representation text
            </description>
        </property>
	    <property>
	        <name>var</name>
	        <classname>java.lang.String</classname>
	        <description>
	            Defines a list on the page
	        </description>
	    </property>
	    <property  attachedstate="true">
	        <name>valueChangeListener</name>
	        <classname>javax.faces.el.MethodBinding</classname>
	        <description>Listener for value changes</description>
	        <methodargs>javax.faces.event.ValueChangeEvent.class</methodargs>
	    </property>
	    <property>
	        <name>immediate</name>
	        <classname>boolean</classname>
	        <description>
	            True means, that the default ActionListener should be executed immediately 
	            (i.e. during Apply Request Values phase of the request processing lifecycle), 
	            rather than waiting until the Invoke Application phase
	        </description>
	    </property>
	    <property>
	        <name>required</name>
	        <classname>boolean</classname>
	        <description>
	            If &quot;true&quot;, this component is checked for non-empty input
	        </description>
	    </property>
	    <property>
	        <name>componentState</name>
	        <classname>org.ajax4jsf.model.DataComponentState</classname>
	        <description>It defines EL-binding  for a component state for saving or redefinition</description>
	    </property>
	    <property  attachedstate="true">
	        <name>converter</name>
	        <classname>javax.faces.convert.Converter</classname>
	        <description>
	            Id of Converter to be used or reference to a Converter
	        </description>
	    </property>
	    <property>
	        <name>ajaxKeys</name>
	        <classname>java.util.Set</classname>
	        <description>Defines strings that are updated after an Ajax request</description>
	    </property>
	    <property>
	        <name>rowClasses</name>
	        <classname>java.lang.String</classname>
	        <description>
	            CSS class for a row
	        </description>
	        <defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	        <name>rowKey</name>
	        <classname>java.lang.Object</classname>
	        <description>RowKey is a representation of an identifier for a specific data row</description>
	    </property>
	    <property>
	        <name>rowKeyVar</name>
	        <classname>java.lang.String</classname>
	        <description>The attribute provides access to a row key in a Request scope</description>
	    </property>
	    <property>
	        <name>stateVar</name>
	        <classname>java.lang.String</classname>
	        <description>
	            The attribute  provides access to a component state on the client side
	        </description>
	    </property>
	    <property>
	        <name>sourceValue</name>
	        <classname>java.lang.Object</classname>
	        <description>
	            Define the collection to be shown in source list
	        </description>
	    </property>
	    <property>
	        <name>targetValue</name>
	        <classname>java.lang.Object</classname>
	        <description>
	            Define the collection to be shown in target list
	        </description>
	    </property>
	    <property>
	        <name>activeItem</name>
	        <classname>java.lang.Object</classname>
	        <description>
	            Stores active item
	        </description>
	    </property>
	    <property>
	        <name>switchByClick</name>
	        <classname>boolean</classname>
	        <description>
	            If &quot;true&quot;, dragging between lists realized by click 
	        </description>
	    </property>
        <property>
            <name>controlsType</name>
            <classname>java.lang.String</classname>
            <description>
                Defines type of a control: button or none. 
            </description>
            <defaultvalue><![CDATA["button"]]></defaultvalue>
        </property>

        <property>
            <name>ontopclick</name>
            <classname>java.lang.String</classname>
            <description>
                A JavaScript event handler; a button &quot;Top&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>
        <property>
            <name>onupclick</name>
            <classname>java.lang.String</classname>
            <description>
                HTML: a script expression; a button &quot;Up&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>
        <property>
            <name>ondownclick</name>
            <classname>java.lang.String</classname>
            <description>
                A JavaScript event handler; a button &quot;Down&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>
        <property>
            <name>onbottomclick</name>
            <classname>java.lang.String</classname>
            <description>
                A JavaScript event handler; a button &quot;Bottom&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>

        <property>
            <name>oncopyallclick</name>
            <classname>java.lang.String</classname>
            <description>
                A JavaScript event handler; a button &quot;Copy All&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>
        <property>
            <name>oncopyclick</name>
            <classname>java.lang.String</classname>
            <description>
                HTML: a script expression; a button &quot;Copy&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>
        <property>
            <name>onremoveclick</name>
            <classname>java.lang.String</classname>
            <description>
                A JavaScript event handler; a button &quot;Remove&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>
        <property>
            <name>onremoveallclick</name>
            <classname>java.lang.String</classname>
            <description>
                A JavaScript event handler; a button &quot;Remove All&quot; is clicked
            </description>
            <defaultvalue><![CDATA[""]]></defaultvalue>
        </property>

	    <property>
	    	<name>onclick</name>
	    	<classname>java.lang.String</classname>
	        <description>HTML: a script expression; a pointer button is clicked</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>ondblclick</name>
	    	<classname>java.lang.String</classname>
	        <description>HTML: a script expression; a pointer button is double-clicked</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onmouseout</name>
	    	<classname>java.lang.String</classname>
	        <description>HTML: a script expression; a pointer is moved away</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onmousemove</name>
	    	<classname>java.lang.String</classname>
	        <description>HTML: a script expression; a pointer is moved within</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onmouseover</name>
	    	<classname>java.lang.String</classname>
	        <description>HTML: a script expression; a pointer is moved onto</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    
	    <property>
	    	<name>moveControlsVerticalAlign</name>
	    	<classname>java.lang.String</classname>
	        <description>Customizes vertically a position of move/copy controls relatively to lists</description>
	    	<defaultvalue><![CDATA["middle"]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>orderControlsVerticalAlign</name>
	    	<classname>java.lang.String</classname>
	        <description>Customizes vertically a position of order controls relatively to lists</description>
	    	<defaultvalue><![CDATA["middle"]]></defaultvalue>
	    </property>
	     <property>
	    	<name>listClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for a list</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>disabledControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for a disabled control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	     <property>
	    	<name>topControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for top control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>bottomControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for bottom control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>upControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for up control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>downControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for down control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>copyAllControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for copy all control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>removeAllControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for remove all control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>copyControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for copy control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	    <property>
	    	<name>removeControlClass</name>
	    	<classname>java.lang.String</classname>
	        <description>CSS class for remove control</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property>
	</component>
</components>
